# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "k1"
version = "0.1.4"
authors = ["Philo Groves <philogroves@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A cargo runner for Rust-based operating system kernels."
readme = "README.md"
license = "MIT"
repository = "https://github.com/philogroves/k1"

[[bin]]
name = "k1"
path = "src/main.rs"

[dependencies.cargo_metadata]
version = "0.18.1"

[dependencies.ovmf-prebuilt]
version = "0.2.7"

[dependencies.serde_json]
version = "1.0.149"

[dependencies.tracing]
version = "0.1.41"

[dependencies.tracing-appender]
version = "0.2.3"

[dependencies.tracing-subscriber]
version = "0.3.20"
features = [
    "env-filter",
    "fmt",
]
